package com.sifang.modules.flowpath.vo;

import java.math.BigDecimal;

public class CashOutVo {

    private String id;

    private String traderId;

    private String objType;
    private BigDecimal outCash;
    private String companyName;
    private String bank;
    private String bankCode;
    private String remarks;

    //关联的结算明细id
    private String settleIds;

    //抵消的结算额调整里面的申请id;
    private String adjustmentApplyIds;

    //支付凭证
    private String voucher;

    private BigDecimal offsetBondAmount;

    private BigDecimal payAmount;

    public BigDecimal getOffsetBondAmount() {
        return offsetBondAmount;
    }

    public void setOffsetBondAmount(BigDecimal offsetBondAmount) {
        this.offsetBondAmount = offsetBondAmount;
    }

    public BigDecimal getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    public String getVoucher() {
        return voucher;
    }

    public void setVoucher(String voucher) {
        this.voucher = voucher;
    }

    public String getSettleIds() {
        return settleIds;
    }

    public void setSettleIds(String settleIds) {
        this.settleIds = settleIds;
    }


    public String getAdjustmentApplyIds() {
        return adjustmentApplyIds;
    }

    public void setAdjustmentApplyIds(String adjustmentApplyIds) {
        this.adjustmentApplyIds = adjustmentApplyIds;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public BigDecimal getOutCash() {
        return outCash;
    }

    public void setOutCash(BigDecimal outCash) {
        this.outCash = outCash;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "CashOutVo{" +
                "id='" + id + '\'' +
                ", traderId='" + traderId + '\'' +
                ", objType='" + objType + '\'' +
                ", outCash=" + outCash +
                ", companyName='" + companyName + '\'' +
                ", bank='" + bank + '\'' +
                ", bankCode='" + bankCode + '\'' +
                ", remarks='" + remarks + '\'' +
                '}';
    }
}
